%define anolis_release 1

Summary:    A GNU utility for monitoring a program's use of system resources
Name:       time
Version:    1.9
Release:    %{anolis_release}%{?dist}
# src/time.c:               GPLv3+
# COPYING:                  GPLv3 text
# doc/time.texi:            GFDL
# doc/fdl.texi:             GFDL 1.3 text
# doc/time.info:            GFDL
# lib/stdnoreturn.in.h:     GPLv3+
# lib/strerror-override.c:  GPLv3+
# lib/error.h:              GPLv3+
## Not in a binary package
# tests/init.sh:            GPLv3+
# INSTALL:                  FSFAP
# configure:                FSFUL
# build-aux/config.guess:   GPLv3+ with exceptions
# build-aux/install-sh:     MIT and Public Domain
# build-aux/config.rpath:   FSFULLR
# build-aux/test-driver:    GPLv2+ with exceptions
# build-aux/update-copyright:   GPLv3+
# build-aux/useless-if-before-free: GPLv3+
# build-aux/vc-list-files:  GPLv3+
# build-aux/missing:        GPLv2+ with exceptions
# build-aux/compile:        GPLv2+ with exceptions
# build-aux/config.sub:     GPLv3+ with exceptions
# build-aux/gitlog-to-changelog:    GPLv3+
# build-aux/git-version-gen:        GPLv3+
# build-aux/texinfo.tex:    GPLv3+ with exceptions and GPL+
# build-aux/depcomp:        GPLv2+ with exceptions
# build-aux/mdate-sh:       GPLv2+ with exceptions
# GNUmakefile:              GPLv3+
# m4/asm-underscore.m4:     FSFULLR
# m4/gnulib-cache.m4:       GPLv3+ with exceptions
# m4/host-cpu-c-abi.m4:     FSFULLR
# m4/longlong.m4:           FSFULLR
# m4/ssize_t.m4:            FSFULLR
# m4/stdnoreturn.m4:        FSFULLR
# maint.mk:                 GPLv3+
# tests/time-posix-quiet.sh:    GPLv3+
License:    GPLv3+ and GFDL
Url:        https://www.gnu.org/software/%{name}/
Source0:    https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
# Fix measuring time when a clock experiences a jump.
# <http://lists.gnu.org/archive/html/bug-gnu-utils/2013-09/msg00003.html>
Patch0:     time-1.8-Prefer-clock_gettime-CLOCK_MONOTONIC.patch
# Do not leak a file descriptor of the --output argument to a command,
# proposed to an upstream,
# <https://lists.gnu.org/archive/html/bug-time/2020-11/msg00001.html>
Patch3:     time-1.9-Close-outfp-before-exec.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bash
BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  gnupg2
BuildRequires:  make
BuildRequires:  sed
BuildRequires:  texinfo

%description
The GNU time utility runs another program, collects information about
the resources used by that program while it is running, and displays
the results.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q
%patch0 -p1
%patch3 -p1
# Correct version VERSION flag for doc/time.texi
# <https://lists.gnu.org/archive/html/bug-time/2021-01/msg00000.html>
printf '%{version}\n' > .tarball-version
autoreconf -fi

%build
%configure
%{make_build}

%install
%{make_install}
# Remove info index, it's updated by file triggers
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
%generate_compatibility_deps

%check
%{make_build} check

%files
%license COPYING
%{_bindir}/time
%{_infodir}/time.info*
%dir %{abidir}
%{abidir}/time-option.list

%files doc
%doc AUTHORS ChangeLog NEWS README

%changelog
* Mon Mar 20 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.9-1
- Init from upstream
